<?php
$tdataleaders = array();
$tdataleaders[".searchableFields"] = array();
$tdataleaders[".ShortName"] = "leaders";
$tdataleaders[".OwnerID"] = "";
$tdataleaders[".OriginalTable"] = "leaders";


$tdataleaders[".pagesByType"] = my_json_decode( "{\"edit\":[\"edit\"],\"export\":[\"export\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"]}" );
$tdataleaders[".originalPagesByType"] = $tdataleaders[".pagesByType"];
$tdataleaders[".pages"] = types2pages( my_json_decode( "{\"edit\":[\"edit\"],\"export\":[\"export\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"]}" ) );
$tdataleaders[".originalPages"] = $tdataleaders[".pages"];
$tdataleaders[".defaultPages"] = my_json_decode( "{\"edit\":\"edit\",\"export\":\"export\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\"}" );
$tdataleaders[".originalDefaultPages"] = $tdataleaders[".defaultPages"];

//	field labels
$fieldLabelsleaders = array();
$fieldToolTipsleaders = array();
$pageTitlesleaders = array();
$placeHoldersleaders = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsleaders["English"] = array();
	$fieldToolTipsleaders["English"] = array();
	$placeHoldersleaders["English"] = array();
	$pageTitlesleaders["English"] = array();
	$fieldLabelsleaders["English"]["leaderID"] = "رقم";
	$fieldToolTipsleaders["English"]["leaderID"] = "";
	$placeHoldersleaders["English"]["leaderID"] = "";
	$fieldLabelsleaders["English"]["leaderName"] = "إسم الشخصية";
	$fieldToolTipsleaders["English"]["leaderName"] = "";
	$placeHoldersleaders["English"]["leaderName"] = "";
	if (count($fieldToolTipsleaders["English"]))
		$tdataleaders[".isUseToolTips"] = true;
}
if(mlang_getcurrentlang()=="Arabic")
{
	$fieldLabelsleaders["Arabic"] = array();
	$fieldToolTipsleaders["Arabic"] = array();
	$placeHoldersleaders["Arabic"] = array();
	$pageTitlesleaders["Arabic"] = array();
	$fieldLabelsleaders["Arabic"]["leaderID"] = "رقم";
	$fieldToolTipsleaders["Arabic"]["leaderID"] = "";
	$placeHoldersleaders["Arabic"]["leaderID"] = "";
	$fieldLabelsleaders["Arabic"]["leaderName"] = "إسم الشخصية";
	$fieldToolTipsleaders["Arabic"]["leaderName"] = "";
	$placeHoldersleaders["Arabic"]["leaderName"] = "";
	if (count($fieldToolTipsleaders["Arabic"]))
		$tdataleaders[".isUseToolTips"] = true;
}


	$tdataleaders[".NCSearch"] = true;



$tdataleaders[".shortTableName"] = "leaders";
$tdataleaders[".nSecOptions"] = 0;

$tdataleaders[".mainTableOwnerID"] = "";
$tdataleaders[".entityType"] = 0;
$tdataleaders[".connId"] = "electiondb_at_ssl_localhost";


$tdataleaders[".strOriginalTableName"] = "leaders";

	



$tdataleaders[".showAddInPopup"] = false;

$tdataleaders[".showEditInPopup"] = false;

$tdataleaders[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdataleaders[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdataleaders[".listAjax"] = false;
//	temporary
$tdataleaders[".listAjax"] = false;

	$tdataleaders[".audit"] = false;

	$tdataleaders[".locking"] = false;


$pages = $tdataleaders[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdataleaders[".edit"] = true;
	$tdataleaders[".afterEditAction"] = 1;
	$tdataleaders[".closePopupAfterEdit"] = 1;
	$tdataleaders[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdataleaders[".add"] = true;
$tdataleaders[".afterAddAction"] = 1;
$tdataleaders[".closePopupAfterAdd"] = 1;
$tdataleaders[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdataleaders[".list"] = true;
}



$tdataleaders[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdataleaders[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdataleaders[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdataleaders[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdataleaders[".printFriendly"] = true;
}



$tdataleaders[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdataleaders[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdataleaders[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdataleaders[".isUseAjaxSuggest"] = true;

$tdataleaders[".rowHighlite"] = true;





$tdataleaders[".ajaxCodeSnippetAdded"] = false;

$tdataleaders[".buttonsAdded"] = false;

$tdataleaders[".addPageEvents"] = false;

// use timepicker for search panel
$tdataleaders[".isUseTimeForSearch"] = false;


$tdataleaders[".badgeColor"] = "7B68EE";


$tdataleaders[".allSearchFields"] = array();
$tdataleaders[".filterFields"] = array();
$tdataleaders[".requiredSearchFields"] = array();

$tdataleaders[".googleLikeFields"] = array();
$tdataleaders[".googleLikeFields"][] = "leaderID";
$tdataleaders[".googleLikeFields"][] = "leaderName";



$tdataleaders[".tableType"] = "list";

$tdataleaders[".printerPageOrientation"] = 0;
$tdataleaders[".nPrinterPageScale"] = 100;

$tdataleaders[".nPrinterSplitRecords"] = 40;

$tdataleaders[".geocodingEnabled"] = false;










$tdataleaders[".pageSize"] = 20;

$tdataleaders[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdataleaders[".strOrderBy"] = $tstrOrderBy;

$tdataleaders[".orderindexes"] = array();


$tdataleaders[".sqlHead"] = "SELECT leaderID,  	leaderName";
$tdataleaders[".sqlFrom"] = "FROM leaders";
$tdataleaders[".sqlWhereExpr"] = "";
$tdataleaders[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataleaders[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataleaders[".arrGroupsPerPage"] = $arrGPP;

$tdataleaders[".highlightSearchResults"] = true;

$tableKeysleaders = array();
$tableKeysleaders[] = "leaderID";
$tdataleaders[".Keys"] = $tableKeysleaders;


$tdataleaders[".hideMobileList"] = array();




//	leaderID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "leaderID";
	$fdata["GoodName"] = "leaderID";
	$fdata["ownerTable"] = "leaders";
	$fdata["Label"] = GetFieldLabel("leaders","leaderID");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "leaderID";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "leaderID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataleaders["leaderID"] = $fdata;
		$tdataleaders[".searchableFields"][] = "leaderID";
//	leaderName
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "leaderName";
	$fdata["GoodName"] = "leaderName";
	$fdata["ownerTable"] = "leaders";
	$fdata["Label"] = GetFieldLabel("leaders","leaderName");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "leaderName";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "leaderName";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=100";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
			$edata["validateAs"]["basicValidate"][] = "DenyDuplicated";
	$edata["validateAs"]["customMessages"]["DenyDuplicated"] = array("message" => "Value %value% already exists", "messageType" => "Text");

	
	//	End validation

	
			
	
		$edata["denyDuplicates"] = true;

	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataleaders["leaderName"] = $fdata;
		$tdataleaders[".searchableFields"][] = "leaderName";


$tables_data["leaders"]=&$tdataleaders;
$field_labels["leaders"] = &$fieldLabelsleaders;
$fieldToolTips["leaders"] = &$fieldToolTipsleaders;
$placeHolders["leaders"] = &$placeHoldersleaders;
$page_titles["leaders"] = &$pageTitlesleaders;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["leaders"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["leaders"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_leaders()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "leaderID,  	leaderName";
$proto0["m_strFrom"] = "FROM leaders";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "leaderID",
	"m_strTable" => "leaders",
	"m_srcTableName" => "leaders"
));

$proto6["m_sql"] = "leaderID";
$proto6["m_srcTableName"] = "leaders";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "leaderName",
	"m_strTable" => "leaders",
	"m_srcTableName" => "leaders"
));

$proto8["m_sql"] = "leaderName";
$proto8["m_srcTableName"] = "leaders";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto10=array();
$proto10["m_link"] = "SQLL_MAIN";
			$proto11=array();
$proto11["m_strName"] = "leaders";
$proto11["m_srcTableName"] = "leaders";
$proto11["m_columns"] = array();
$proto11["m_columns"][] = "leaderID";
$proto11["m_columns"][] = "leaderName";
$obj = new SQLTable($proto11);

$proto10["m_table"] = $obj;
$proto10["m_sql"] = "leaders";
$proto10["m_alias"] = "";
$proto10["m_srcTableName"] = "leaders";
$proto12=array();
$proto12["m_sql"] = "";
$proto12["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto12["m_column"]=$obj;
$proto12["m_contained"] = array();
$proto12["m_strCase"] = "";
$proto12["m_havingmode"] = false;
$proto12["m_inBrackets"] = false;
$proto12["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto12);

$proto10["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto10);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="leaders";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_leaders = createSqlQuery_leaders();


	
		;

		

$tdataleaders[".sqlquery"] = $queryData_leaders;



$tableEvents["leaders"] = new eventsBase;
$tdataleaders[".hasEvents"] = false;

?>